Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.enterprise.ee.cms.core
Interface JoinNotificationSignal

All Superinterfaces:
  GroupStartupNotificationSignal, Signal

All Known Implementing Classes:
  JoinNotificationSignalImpl

    public interface JoinNotificationSignal

extends Signal, GroupStartupNotificationSignal

Signal corresponding to JoinNotificationAction. This Signal enables the consumer to get specifics about a Join notification. This Signal type will only be passed to a JoinNotificationAction. This Signal is delivered to registered GMS Clients on all members of the group.

Version:
  $Revision: 1.5 $
Author:
  Shreedhar Ganapathy Date: Feb 3, 2005

Method Summary
`List<String>` | `getAllCurrentMembers()` provides a list of all live members i.e.
`List<String>` | `getCurrentCoreMembers()` provides a list of all live and current CORE designated members.
`MemberStates` | `getMemberState()` Provides the current liveness state of the member whose joining the group is being signalled by this JoinNotification Signal.

Methods inherited from interface com.sun.enterprise.ee.cms.core.Signal
`acquire, getGroupName, getMemberDetails, getMemberToken, getStartTime, release`

Methods inherited from interface com.sun.enterprise.ee.cms.core.GroupStartupNotificationSignal
`getEventSubType`

Method Detail

### getCurrentCoreMembers

    List<String> getCurrentCoreMembers()

  provides a list of all live and current CORE designated members.

  Returns:
    List containing the list of member token ids of core members

### getAllCurrentMembers

    List<String> getAllCurrentMembers()

  provides a list of all live members i.e. CORE and SPECTATOR members.

  Returns:
    List containing the list of member token ids of all members.

### getMemberState

    MemberStates getMemberState()

  Provides the current liveness state of the member whose joining the group is being signalled by this JoinNotification Signal. The state corresponds to one of the states enumerated by the MemberStates enum

  Returns:
    MemberStates

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.